<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

// Setting default values if variables not set.
( isset( $kenburns_class ) ) || $kenburns_class = 'kenburns';
( isset( $color_overlay ) ) || $color_overlay = '';
( isset( $color_overlay_opacity ) ) || $color_overlay_opacity = 0;

$classes = array(
	'post-item',
	'slider-item',
);
$post_link =  get_permalink();

?>
<article <?php post_class( $classes ); ?>>
	<div class="background-object background-object-cover<?php echo esc_attr( $kenburns_class ); ?>"<?php echo nomady_css_background_img( 'nomady_fullbleed' ); ?>>
		<div class="background-overlay"></div>
	</div>
	<div class="slider-item-inner d-flex align-items-center">
		<div class="post-text text-inverse">
			<div class="container">
				<div class="post-text-inner">
					<div class="post-meta">
						<?php nomady_post_category(); ?>
					</div>
					<h3 class="post-title entry-title h1 display-5-sm display-4-xl text-white">
						<a href="<?php echo esc_url( $post_link ); ?>"><?php the_title(); ?></a>
					</h3>
				</div>
			</div>
		</div>
	</div>
</article>