<form role="search" method="get" class="search-form search-form-modal d-flex" action="<?php echo esc_url( home_url( '/' ) ); ?>">
    <span class="screen-reader-text"><?php echo esc_html_x( 'Search for:', 'label', 'nomady' ) ?></span>
    <input type="search" class="search-field"
        placeholder="<?php echo esc_attr_x( 'Type here to search', 'placeholder', 'nomady' ) ?>"
        value="<?php echo get_search_query() ?>" name="s"
        title="<?php echo esc_attr_x( 'Search for:', 'label', 'nomady' ) ?>" />
    <button type="submit" class="search-submit btn">
        <?php echo nomady_svg_icon( array( 'icon' => 'search' ) ); ?>
    </button>
</form>