<?php
/**
 * Fixed site header template
 */

// Setting up variables.
$header_layout = nomady_get_option( 'header_layout', 'standard' );
$header_class = 'site-header site-header-fixed site-header-fixed-' . $header_layout . ' js-sticky-header';
$header_content_width = nomady_get_option( 'header_width', 'default' );
if ( $header_content_width === 'default' ) {
	$container_class = 'container';
} else {
	$container_class = 'container-' . $header_content_width;
}
?>
<div class="<?php echo esc_attr( $header_class ); ?>" style="display: none;" aria-hidden="true">
	<?php
	if ( has_nav_menu( 'site-header' ) ) {
	?>
		<div class="site-header-navigation">
			<div class="container-fluid">
			<?php
			get_template_part( 'template-parts/navigation/navigation-top-fixed' );
			?>
			</div><!-- .container -->
		</div><!-- .site-header-navigation -->
	<?php
	}
	?>
</div><!-- .site-header-fixed -->