<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $thumb_size ) ) || $thumb_size = 'nomady_sm_16_9';
( isset( $thumb_size_lg ) ) || $thumb_size_lg = 'nomady_sm';
( isset( $post_format_icon ) ) || $post_format_icon = 'no';
( isset( $excerpt_length ) ) || $excerpt_length = 22;
( isset( $post_class ) ) || $post_class = array();
( isset( $post_meta_author ) ) || $post_meta_author = true;
( isset( $post_meta_date ) ) || $post_meta_date = true;

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-portrait',
) );
$post_time_attr = get_the_time( 'c' );
$post_time = get_the_time( get_option( 'date_format' ) );
$post_link =  get_permalink();
?>
<article <?php post_class( $post_class ); ?>>
	<?php
	nomady_featured_img( array(
		'size' => $thumb_size,
		'class' => 'post-image d-md-none',
		'icon' => $post_format_icon ,
	) );
	?>

	<?php
	nomady_featured_img( array(
		'size' => $thumb_size_lg,
		'class' => 'post-image d-none d-md-block',
		'icon' => $post_format_icon ,
	) );
	?>

	<div class="post-text">
		<div class="post-meta">
			<?php nomady_post_categories(); ?>
		</div>

		<h3 class="h5 post-title entry-title">
			<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
		</h3>
	</div>
</article>