<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $thumb_size ) ) || $thumb_size = 'nomady_fullbleed';
( isset( $post_format_icon ) ) || $post_format_icon = 'no';
( isset( $excerpt_length ) ) || $excerpt_length = 40;

$post_class = array(
	'post-cover',
);

$post_link =  get_permalink();
?>
<article <?php post_class( $post_class ); ?>>
	<?php
	if ( has_post_thumbnail() ) {
	?>
	<div class="background-object background-object-cover background-object-scrim-bottom" style="background-image: url('<?php the_post_thumbnail_url( $thumb_size ); ?> ');">
	</div>
	<?php
	}
	?>

	<div class="container">
		<div class="post-inner d-flex flex-column flex-md-row justify-content-end justify-content-md-between">
			<div class="post-text text-inverse pr-md-3">
				<div class="post-meta">
					<?php nomady_post_category(); ?>
				</div>
				<h3 class="display-5 post-title entry-title">
					<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
				</h3>
			</div>

			<div class="post-text text-inverse align-self-md-end mt-3 mt-md-0 pl-md-3">
				<div class="post-excerpt post-excerpt-lg">
					<?php nomady_excerpt( $excerpt_length, true ); ?>
				</div>
			</div>
		</div>
	</div>
</article>