<?php
$fb = nomady_get_option( 'facebook-url', '' );
$gp = nomady_get_option( 'google-url', '' );
$in = nomady_get_option( 'instagram-url', '' );
$li = nomady_get_option( 'linkedin-url', '' );
$pi = nomady_get_option( 'pinterest-url', '' );
$tu = nomady_get_option( 'tumblr-url', '' );
$tw = nomady_get_option( 'twitter-url', '' );
$vk = nomady_get_option( 'vk-url', '' );
$yt = nomady_get_option( 'youtube-url', '' );

$default_order = array(
    'fb' => true,
    'tw' => true,
    'gp' => true,
    'in' => true,
    'pi' => true,
    'tu' => true,
    'li' => true,
    'yt' => true,
    'vk' => true,
);

$social_sortable = nomady_get_option( 'social-sortable', $default_order );

if ( ( $fb !== '' ) || ( $gp !== '' ) || ( $in !== '' ) || ( $li !== '' ) || ( $pi !== '' ) || ( $tu !== '' ) || ( $tw !== '' ) || ( $vk !== '' ) || ( $yt !== '' ) ) {
?>
	<ul class="social-media-list social-media-list-inline text-center">
	<?php
	foreach ( $social_sortable as $key => $value ) {
		if ( $value ) {
			switch ( $key ) {
				default:
				case 'fb':
					if ( $fb !== '' ) {
						echo '<li class="social-media-list-item"><a href="' . esc_url( $fb ). '"><i class="fab fa-facebook" target="_blank"></i><div>Facebook</div></a></li>';
					}
					break;

				case 'gp':
					if ( $gp !== '' ) {
						echo '<li class="social-media-list-item"><a href="' . esc_url( $gp ). '"><i class="fab fa-google-plus-g" target="_blank"></i><div>Google+</div></a></li>';
					}
					break;
				
				case 'in':
					if ( $in !== '' ) {
						echo '<li class="social-media-list-item"><a href="' . esc_url( $in ). '"><i class="fab fa-instagram" target="_blank"></i><div>Instagram</div></a></li>';
					}
					break;

				case 'li':
					if ( $li !== '' ) {
						echo '<li class="social-media-list-item"><a href="' . esc_url( $li ). '"><i class="fab fa-linkedin" target="_blank"></i><div>Linkedin</div></a></li>';
					}
					break;
				
				case 'pi':
					if ( $pi !== '' ) {
						echo '<li class="social-media-list-item"><a href="' . esc_url( $pi ). '"><i class="fab fa-pinterest" target="_blank"></i><div>Pinterest</div></a></li>';
					}
					break;
				
				case 'tu':
					if ( $tu !== '' ) {
						echo '<li class="social-media-list-item"><a href="' . esc_url( $tu ). '"><i class="fab fa-tumblr" target="_blank"></i><div>Tumblr</div></a></li>';
					}
					break;

				case 'tw':
					if ( $tw !== '' ) {
						echo '<li class="social-media-list-item"><a href="' . esc_url( $tw ). '"><i class="fab fa-twitter" target="_blank"></i><div>Twitter</div></a></li>';
					}
					break;
				
				case 'vk':
					if ( $vk !== '' ) {
						echo '<li class="social-media-list-item"><a href="' . esc_url( $vk ). '"><i class="fab fa-vk" target="_blank"></i><div>VK</div></a></li>';
					}
					break;
				
				case 'yt':
					if ( $yt !== '' ) {
						echo '<li class="social-media-list-item"><a href="' . esc_url( $yt ). '"><i class="fab fa-youtube" target="_blank"></i><div>Youtube</div></a></li>';
					}
					break;
			}
		}
	}
	?>
	</ul>
<?php }